<script>
	import api from "./api.js"
	export default {
		globalData: {  
		    token: "",//用户标识
			url:'https://wx.fujinyangche.com',
			userInfo:null,//用户信息
		},  
		onLaunch: function() {
			let token = uni.getStorageSync('token');
			this.globalData.token = token;
			
			// 获取用户信息
			wx.getSetting({
			    success: res => {
			        if (res.authSetting['scope.userInfo']) {
			          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
						wx.getUserInfo({
							success: res => {
								uni.setStorageSync('userInfo',res.userInfo);
								// 可以将 res 发送给后台解码出 unionId
								this.globalData.userInfo = res.userInfo;
								// 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
								// 所以此处加入 callback 以防止这种情况
								if (this.userInfoReadyCallback) {
									this.globalData.hasUserInfo = true;
									this.userInfoReadyCallback(res)
								}
							}
						})
			        }
			    }
			})
		},
		onShow: function() {
			// console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	@import url("./static/iconfont.css");
	/*每个页面公共css */
</style>
